def debugprint(depth, msg, obj=None):
	"""Prints a specified message along with object information (type and memory location) depending on boolean flags"""
	_print_objects = False
	_print_debug_msg = True
	# add indenting to specified depth
	while depth > 0:
		msg = "\t" + msg
		depth -= 1
		
	if obj != None:
		if _print_objects and _print_debug_msg:
			print(msg + " ... " + str(obj))	
		elif _print_debug_msg:
			print(msg)		
	else:
		if _print_debug_msg:
			print(msg)